--
-- dummy table
--
CREATE TABLE t_test_dao_dummy (
--
   dummy_id     	INTEGER
                    CONSTRAINT dummy_dummy_id_not_null NOT NULL
                    CONSTRAINT dummy_dummy_id_pk PRIMARY KEY
--
   ,name        	VARCHAR2(100)
			        CONSTRAINT dummy_name_not_null NOT NULL
--
   ,counter	        NUMBER DEFAULT 0
--
   ,insertion_time  TIMESTAMP WITH TIME ZONE DEFAULT SYSTIMESTAMP AT TIME ZONE '+00:00'
--
   ,flag                CHAR(1)
--
   ,some_data           CLOB
);
-- 

--
-- dummy data table
--
CREATE TABLE t_test_dao_dummy_data (
--
  dummy_id      INTEGER
                REFERENCES t_test_dao_dummy(dummy_id)
--                 
  ,data_key     VARCHAR2(100)
                CONSTRAINT data_key_not_null NOT NULL
--                 
  ,data_value   VARCHAR2(100)
                CONSTRAINT data_value_not_null NOT NULL
);

--
-- Schema version
--
CREATE TABLE t_test_dao_schema_vers (
  major NUMBER(2) NOT NULL,
  minor NUMBER(2) NOT NULL,
  patch NUMBER(2) NOT NULL
);
INSERT INTO t_test_dao_schema_vers (major,minor,patch) VALUES (1,2,3);
