#!/bin/sh
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.                                                                                                                                                           
MYSQL_USER=$1
MYSQL_PASSWORD=$2
MYSQL_HOSTNAME=$3
MYSQL_DB=$4
MYSQL_CMD="mysql --host=$MYSQL_HOSTNAME --user=$MYSQL_USER --password=$MYSQL_PASSWORD -D $MYSQL_DB"
                                                                                                                                                           
DROP_DB_TABLES=drop-17775-mysql.sql
CREATE_DB_TABLES=schema-17775-mysql.sql

# DROP Database tables
echo "$MYSQL_CMD < $DROP_DB_TABLES"
$MYSQL_CMD < $DROP_DB_TABLES
                                                                                                                                                           
# Create Database tables
echo "$MYSQL_CMD < $CREATE_DB_TABLES"
$MYSQL_CMD < $CREATE_DB_TABLES
