<@pp.dropOutputFile />
<#list oracle_dao_tests as test>
<@pp.changeOutputFile name="test/dao/oracle/" + test.name + ".cpp.tmpl" />
/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Authors:  Zsolt.Molnar <zsolt.molnar@cern.ch>
 *  
 *  Version info: $Id: test_dao_oracle_TestCase.cpp.tmpl.ftl,v 1.1 2010/02/09 14:31:01 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#include "${test.name}.h"

namespace glite   {
namespace data    {
namespace agents  {
namespace dao     {
namespace oracle  {

void ${test.name}::setUp()
{
    // EMPTY
} 

void ${test.name}::tearDown()
{
    // EMPTY
} 

<#list test.methods as method>
void ${test.name}::${method}()
{
    
} 

</#list>  
} // End namespace oracle
} // End namespace dao
} // End namespace agenta
} // End namespace data
} // End namespace glite
</#list>