DECLARE

-- Insert Entry Procedure
PROCEDURE add_entry(i  T_TEST_DAO_DUMMY.DUMMY_ID%TYPE,
                    n  T_TEST_DAO_DUMMY.NAME%TYPE,
                    c  T_TEST_DAO_DUMMY.COUNTER%TYPE,
                    f  T_TEST_DAO_DUMMY.FLAG%TYPE DEFAULT NULL,
                    d  T_TEST_DAO_DUMMY.SOME_DATA%TYPE DEFAULT NULL,
                    t  T_TEST_DAO_DUMMY.INSERTION_TIME%TYPE DEFAULT NULL)
IS                            
BEGIN
    IF t IS NULL THEN
        INSERT INTO t_test_dao_dummy(dummy_id,name,counter,flag,some_data) VALUES (i,n,c,f,d);
    ELSE
        INSERT INTO t_test_dao_dummy(dummy_id,name,counter,insertion_time,flag,some_data) VALUES (i,n,c,t,f,d);
    END IF;
END;

-- Insert data procedure
PROCEDURE add_data(i    T_TEST_DAO_DUMMY_DATA.DUMMY_ID%TYPE,
                   k    T_TEST_DAO_DUMMY_DATA.DATA_KEY%TYPE,
                   v    T_TEST_DAO_DUMMY_DATA.DATA_VALUE%TYPE)
IS
BEGIN
    INSERT INTO t_test_dao_dummy_data(dummy_id,data_key,data_value) VALUES (i,k,v);
END;

-- Main
BEGIN
	-- Set Records
	add_entry(0,'entry_0', 1111111111, 'Y',TO_CLOB('The Quick Brown Fox jumps over the Lazy Dog :-)'));
	add_entry(1,'entry_1', 2222222222, 'N',TO_CLOB('Hello'));
	add_entry(2,'entry_2', 3333333333, 'Y',TO_CLOB('World'));
	add_entry(3,'entry_3', 4444444444, 'N',TO_CLOB('Pippo'));
	add_entry(4,'entry_4', 5555555555, 'Y',TO_CLOB('Pluto'));
	add_entry(5,'entry_5', 6666666666, 'N',TO_CLOB('11111111111111111111111111111111111111111111111'));
	add_entry(6,'entry_6', 7777777777, 'Y');
	add_entry(7,'entry_7', 8888888888, 'N');
	add_entry(8,'entry_8', 9999999999, 'Y');
	add_entry(9,'entry_9',10000000000);
    -- Set Data
    add_data(0,'fox','brown');
    add_data(0,'dog','lazy');
END;
/
