#!/bin/bash
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

test_dao_schema_vers_oracle__DEPENDS="test_dao_oracle_install"
function test_dao_schema_vers_oracle(){
    local TEST_EXE="${MODULE_TEST_DIR}/bin/glite_data_agents_common_test_dao"
    local WORK_DIR="${MODULE_TEST_DIR}/bin"
    debug "running ${TEST_EXE} -l ${MODULE_TEST_DIR} -s -c glite-agents-common-test-dao-oracle"
    (cd ${WORK_DIR} && 
        env TNS_ADMIN=${ORA_TNS_ADMIN} ${TEST_EXE} -l ${MODULE_TEST_DIR} -s -c glite-agents-common-test-dao-oracle)
    return ${?}
}

test_dao__DEPENDS="test_dao_schema_vers_oracle test_dao_oracle"
function test_dao(){
    true
}

