#!/bin/sh
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
ORACLE_USER=$1
ORACLE_PASSWORD=$2
ORACLE_DB=$3
SQLPLUS_CMD="sqlplus -S $ORACLE_USER/$ORACLE_PASSWORD@$ORACLE_DB"

DROP_DB_TABLES=drop-17775-ora.sql
CREATE_DB_TABLES=schema-17775-ora.sql

# DROP Database tables
echo "$SQLPLUS_CMD < $DROP_DB_TABLES"
$SQLPLUS_CMD < $DROP_DB_TABLES

# Create Database tables
echo "$SQLPLUS_CMD < $CREATE_DB_TABLES"
$SQLPLUS_CMD < $CREATE_DB_TABLES
